{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Alumni Scholarship Registration
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <form action="" method="post" class="form-horizontal" id="wifi_form">{% csrf_token %}
                        {% for field in form %}
                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                       id={{ field.id_for_label }}>{{ field.label }}</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    {{ field }}

                                    {% for error in field.errors %}
                                        <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                                    {% endfor %}
                                </div>
                            </div>
                        {% endfor %}
                        <!--{% for i in semlis %}
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                       >Enter the GPA of semester {{i}}
                            </label><div class="col-md-5 col-sm-6 col-xs-12"><input type="number" name="{{i}}" step="0.01" min="0" max="10" required class="form-control"/></div><br/>
                        {% endfor %}<br />-->

                        {% if sch_det > 0 %}
                            <div class="form-group">
                                <div>
                                    <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                    >Scholarship amount</label></div>
                            </div>
                        {% endif %}

                        {% for i in sch_det %}
                            {% if i != False %}
                                <div class="form-group">
                                    <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                    >{{ i }}</label>
                                    <div class="col-md-5 col-sm-6 col-xs-12"><input type="number" name="{{ i }}" min="0"
                                                                                    required class="form-control"/>
                                    </div>
                                </div>
                            {% endif %}
                        {% endfor %}


                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Are you differently abled(If yes,specify details)</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <input type="text" name="phyabdes" class="form-control" value="No" required/>


                            </div>
                        </div>

                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Are you having deceased parents(If yes,specify details)</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <select name="disdes" type="number" class="form-control">
                                    <option value="">None</option>
                                    <option value="1">One parent</option>
                                    <option value="2">Both parent</option>
                                </select>


                            </div>
                        </div>

                        <div class="form-group">


                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Achievements in sports</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="levelsp" class="form-control"
                                         onChange="changesport(this.value)">
                                    <option selected value="">None</option>
                                    {% for level in levels %}
                                        <option value="{{ level }}">{{ level }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div id="sport" style="display:none" class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >If yes, Specify the whether team or individual</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="placesp" class="form-control"
                                        >
                                    <option value="Individual">Individual</option>
                                    <option value="Team">Team</option>

                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >CGPA</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" step="0.01" name="cgpa" class="form-control" max="10" required/>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Enter the number of arrears(Current Sem)</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <input type="number" min="0" name="noOfArrears" class="form-control" required/>


                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Projects done</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="placepr" id="placepr" class="form-control"
                                       >
                                    <option selected value="">None</option>
                                    {% for place in places %}
                                        <option value="{{ place }}">{{ place }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Patents received</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="stagepat" class="form-control"
                                        >
                                    <option selected value="">None</option>
                                    {% for stage in stages %}
                                        <option value="{{ stage }}">{{ stage }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Paper presentations done</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="placep" class="form-control"
                                        >
                                    <option selected value="">None</option>
                                    {% for place in places %}
                                        <option value="{{ place }}">{{ place }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Number of Internship Gone</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" min="0" name="internships" class="form-control" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Primary Club Activity(select or write)</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="text" list="club" min="0" name="primClAct" class="form-control" required onchange="changed_value(this.value)"/>
                                <datalist id="club">
                                    <option selected value="none"></option>
                                    {% for club in clubs %}
                                        <option value="{{ club }}">{{ club }}</option>
                                    {% endfor %}
                                </datalist>
                            </div>
                        </div>
                        <div class="form-group" id="role" style="display:none">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Your role in that club</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="role" class="form-control"
                                >
                                        {% for others in other %}
                                            <option value="{{ others }}">{{ others }}</option>
                                        {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Other participating Clubs</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">

                                {% for club in clubs %}
                                    <input type="checkbox" name="club_activities" value="{{ club }}"/>&nbsp;<label>{{ club }}</label>
                                    &nbsp;&nbsp;
                                {% endfor %}
                                </datalist>
                            </div>
                        </div>


                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="Save" name="apply_scholarship">Apply Scholarship
                            </button>
                        </div>
                    </form>
                </div>
            </div>
            <br>
            <br>
            {% if applied_alumni_scholarships %}
                <div class="col-md-8 col-md-offset-2">
                <div class="row">
                    <table class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Applied Date</th>
                            <th>PDF</th>
                            <th>STATUS</th>
                            <th>DELETE</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for entry in applied_alumni_scholarships %}
                            <tr>
                                <td>{{ entry.form.pk }}</td>
                                <td>{{ entry.form.date_of_application }}</td>
                                <td>
                                    <button class="btn btn-primary"
                                            onclick="location.href='{% url 'download_application_as_pdf' application_id=entry.form.pk %}'">
                                        PDF
                                    </button>
                                </td>
                                <td>
                                    {{ entry.status }}
                                </td>
                                <td>
                                    <button class="btn btn-danger"
                                            onclick="location.href='{% url 'delete_my_application' application_id=entry.form.pk %}'">
                                        Delete
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
            </div>
        </div>
    </div>

<script type="text/javascript">
function changed_value(value)
{
if(value!='none')
{
$('#role').show();
}
if(value=='none')
{
$('#role').hide();
}
}
function changesport(value)
{
if(value!=''){
$('#sport').show();
}
else{
$('#sport').hide();
}
}
</script>
{% endblock %}
